CREATE PROCEDURE PopulateCache
AS
	SET NOCOUNT ON
	DECLARE @StartDt DATETIME = GETDATE()
DECLARE @i int = 1
DECLARE @cmd varchar(8000)
WHILE @i < 5000
BEGIN
SET @cmd = '
	insert SQLBits
	select top 1 s.session_id 
	from sys.dm_exec_sessions s inner join sys.dm_exec_connections c
	on s.session_id = c.session_id
	where s.session_id = ' + CAST(@i AS VARCHAR(100))
	EXEC(@cmd)
	SET @i+=1
END


EXEC AdventureWorks2012.dbo.DontExecuteOnFriday
EXEC AdventureWorks2012.dbo.NonParallelTempInsert
EXEC AdventureWorks2012.dbo.ParallelTempInsert
EXEC AdventureWorks2012.dbo.ExecutionPlanWarning
SELECT * FROM AdventureWorks2012.sales.Customer c INNER JOIN AdventureWorks2012.Sales.SalesOrderHeader s ON c.CustomerID = s.CustomerID WHERE c.AccountNumber = N'AW00000001'
SELECT * FROM AdventureWorks2012.sales.Customer c INNER JOIN AdventureWorks2012.Sales.SalesOrderHeader s ON c.CustomerID = s.CustomerID WHERE c.AccountNumber = N'AW00026292'
SELECT * FROM AdventureWorks2012.sales.Customer c INNER JOIN AdventureWorks2012.Sales.SalesOrderHeader s ON c.CustomerID = s.CustomerID WHERE c.AccountNumber = N'AW00026286'
SELECT * FROM AdventureWorks2012.sales.Customer c INNER JOIN AdventureWorks2012.Sales.SalesOrderHeader s ON c.CustomerID = s.CustomerID WHERE c.AccountNumber = N'AW00026276'
SELECT * FROM AdventureWorks2012.sales.Customer c INNER JOIN AdventureWorks2012.Sales.SalesOrderHeader s ON c.CustomerID = s.CustomerID WHERE c.AccountNumber = N'AW00026229'

EXEC [dbo].[Sales by Year] '1996','1997'
EXEC [dbo].[Sales by Year] '1997','1998'
EXEC [dbo].[Sales by Year] '1998','1999'

EXEC [dbo].[Ten Most Expensive Products] 

EXEC [dbo].[Employee Sales by Country] '1996','1997'
EXEC [dbo].[Employee Sales by Country] '1997','1998'
EXEC [dbo].[Employee Sales by Country] '1998','1999'

EXEC [dbo].[CustOrderHist] 'ALFKI'
EXEC [dbo].[CustOrderHist] 'ANATR'
EXEC [dbo].[CustOrderHist] 'ANTON'
EXEC [dbo].[CustOrderHist] 'AROUT'
EXEC [dbo].[CustOrderHist] 'BERGS'
EXEC [dbo].[CustOrderHist] 'BLAUS'
EXEC [dbo].[CustOrderHist] 'ALFKI'
EXEC [AdventureWorks2012].[dbo].[uspLogError]
EXEC [AdventureWorks2012].[dbo].[uspGetManagerEmployees] 1
EXEC [AdventureWorks2012].[dbo].[uspGetManagerEmployees] 2
EXEC [AdventureWorks2012].[dbo].[uspGetEmployeeManagers] 1
EXEC [AdventureWorks2012].[dbo].[uspGetEmployeeManagers] 2
EXEC [AdventureWorks2012].[dbo].[uspGetEmployeeManagers] 3
EXEC [AdventureWorks2012].[dbo].[uspGetEmployeeManagers] 4
EXEC [AdventureWorks2012].[dbo].[uspPrintError] 
SELECT * FROM AdventureWorks2012.dbo.bigTransactionHistory WHERE ActualCost = 5


GO