﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.SqlClient;

namespace Queries
{
    class Program
    {
        static void Main(string[] args)
        {
            SqlConnection con = new SqlConnection("Server=localhost;Database=Northwind;Trusted_Connection=True;");
            con.Open();
            string LastName = "Davolio";
            string PostalCode = "98122";

            SqlCommand command =
                new SqlCommand("SELECT FirstName FROM Employees "
                              + "WHERE LastName=N'" + LastName
                              + "' AND PostalCode=N'" + PostalCode + "'");

            command.Connection = con;
            string FirstName = (string)command.ExecuteScalar();
            Console.WriteLine(FirstName);

        }


        static void ParameterizedQuery()
        {
            SqlConnection con = new SqlConnection("Server=localhost;Database=Northwind;Trusted_Connection=True;");
            con.Open();
            string LastName = "Davolio";
            string PostalCode = "98122";
            SqlCommand command =
                new SqlCommand("SELECT FirstName FROM Employees "
                               + "WHERE LastName = @LastName "
                               + "AND PostalCode = @PostalCode");
            command.Parameters.Add(new SqlParameter("@LastName", System.Data.SqlDbType.NVarChar, 20));
            command.Parameters.Add(new SqlParameter("@PostalCode", System.Data.SqlDbType.NVarChar, 20));
            command.Parameters[0].Value = LastName;
            command.Parameters[1].Value = PostalCode;

            command.Connection = con;
            string FirstName = (string)command.ExecuteScalar();
            Console.WriteLine(FirstName);
        }

    }
}


